• Post Reply Bookmark Topic Watch Topic
  • New Topic

showing wrong jre  RSS feed

 
karnajit wangkhem
Greenhorn
Posts: 7
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

I have oracle installed in my system. Oracle has a jre along with it. In the system variable Path, I have "C:\Program Files\Oracle\jre\1.3.1\bin;C:\Program Files\Oracle\jre\1.1.8\bin". All other variable like CLASSPATH, JAVA_HOME is set w.r.t my jdk 1.5. In my user variable I have declared another variable as path and pointed it to jdk 1.5. When I give java -version from my command prompt its giving me jre 1.3.1. Where am I missing. I even tried removing the oracle's jre from "Path" and replacing with jre 1.5 but its coming the same.

The above problem does not give me any problem in running any of my java applications as I can always configure them w.r.t to my own choice of jre but the problem was in running "Jude take" which takes only the default jre. It only supports higher jre.

What should I do now please help me out.

Regards,
Karan.
 
Ulf Dittmer
Rancher
Posts: 42972
73
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
If you want to use Java 5, then the PATH should point to the 5 installation, not to the Java 1.1 AND the Java 1.3 installation. It's best to remove all traces of those.
 
karnajit wangkhem
Greenhorn
Posts: 7
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Thank very much its working now. I removed all the trace of the oracle's jre.
But I didnt put any reference to the jdk 1.5 in the "Path" variable. The only reference are in the CLASSPATH and the JAVA_HOME. Now when I give java -version, its giving me 1.5 but how it identifies without the Path variable.
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!